/****作者又想颓于是把自己的CSS又加上了=。=*****/
body{
    background :url(https://www.cnblogs.com/images/cnblogs_com/kalginamiemeng/1494640/o_Back1dirt.jpg) repeat-x 0 0 scroll #FFFFFF;
    //background:url(https://www.cnblogs.com/images/cnblogs_com/kalginamiemeng/1494640/o_Back2stone.jpg) repeat-x 0 0 scroll #FFFFFF;
    //background:url(https://www.cnblogs.com/images/cnblogs_com/kalginamiemeng/1494640/o_Back3wood.jpg) repeat-x 0 0 scroll #FFFFFF;
    //background:url(https://www.cnblogs.com/images/cnblogs_com/kalginamiemeng/1494640/o_Back4Ore.jpg) repeat-x 0 0 scroll #FFFFFF;
    //background:url(https://www.cnblogs.com/images/cnblogs_com/kalginamiemeng/1494640/o_Back5Farm.jpg) repeat-x 0 0 scroll #FFFFFF;
    /*background:url(https://images.cnblogs.com/cnblogs_com/kalginamiemeng/1494640/o_Back6_All1.jpg) repeat scroll #FFFFFF;color: #fff;*/
}
/*光标*/
:hover{cursor: url(https://images.cnblogs.com/cnblogs_com/kalginamiemeng/1480817/o_c.png),auto;}
a:hover{cursor: pointer;}
.blogpost-body a{
    color: orange !important;
    text-decoration: none !important;
}
::selection{
    color:#169fe6;
    background: white;
}
#blogTitle{
    background:url(https://www.cnblogs.com/skins/CodingLife/images/title-yellow.png) no-repeat center 21px;
    height:314px;
    clear:both;
    width:1200px;
    margin:0 auto;
    position:relative
}
.cnblogs_code,.cnblogs_code span{
    font-size:14px!important;
}
.syntaxhighlighter a, .syntaxhighlighter div,
.syntaxhighlighter code, .syntaxhighlighter table,
.syntaxhighlighter table td, .syntaxhighlighter table tr,
.syntaxhighlighter table tbody, .syntaxhighlighter table thead,
.syntaxhighlighter table caption, .syntaxhighlighter textarea {
    font-size: 13px!important;
}
.syntaxhighlighter .preprocessor {/*头文件、预编译部分*/
    color: #069A20 ! important;
}

.syntaxhighlighter .keyword {/*关键字（for/if...else/while/return...）*/
    font-weight: bold ! important;
    color: #000000 !important;
}

.syntaxhighlighter .comments,
.syntaxhighlighter .comments a {/*注释*/
    color: #888A85 ! important;
}

.syntaxhighlighter .color1,
.syntaxhighlighter .color1 a {/*int等变量类型名*/
    color: #43A1DA ! important;
}
.syntaxhighlighter .string,
.syntaxhighlighter .string a {/*字符串*/
    color: #F150B8 ! important;
}
.syntaxhighlighter .functions {/*scanf/printf等函数*/
    color: #46C3C9 ! important;
    font-weight:normal ! important;
}
.syntaxhighlighter .line.alt1{
    background: #FFF!important;
}
.syntaxhighlighter .line.alt2{
    background: #FFF!important;
}
.syntaxhighlighter.cpp{
    border: 2px solid #169fe6;
}
.syntaxhighlighter.collapsed .toolbar{
    background: #169fe6 ! important;
    border: 0px!important;
}
a.toolbar_item.command_expandSource.expandSource{
    color: #fff ! important;
    font-size: 16px!important;
}
a.toolbar_item.command_expandSource.expandSource:hover{
    color: whitesmoke!important;
}
.syntaxhighlighter .gutter .line{
    border-right: 2px solid #169fe6 ! important;
}
.gutter .line.alt1{
    color:#fff;
    background: #169fe6 ! important;
}
.gutter .line.alt2{
    color:#fff;
    background: #169fe6 ! important;
}

@keyframes red_light {
    from {
       box-shadow:0px 0px 0px pink;
    }
    to {
      box-shadow:0px 0px 16px pink;
    }
}
.buryit{
  background: url(https://images.cnblogs.com/cnblogs_com/kalginamiemeng/1480817/o_WA.PNG) no-repeat;
    width: 150px;
    height: 40px;
    background-position: center;
    font-size: 78px;
    border: 2px solid pink;
   margin-right: 11px;
    margin-top:10px ;
    margin-bottom:10px; 
    border-radius: 15px;
}
.buryit:hover{
    animation: red_light 1s ease-in-out infinite alternate;
}
.burynum{
    color: red;
}
@keyframes green_light {
    from {
       box-shadow:0px 0px 0px #8AE234;
    }
    to {
      box-shadow:0px 0px 16px #8AE234;
    }
}
.diggit:hover{
     animation: green_light 1s ease-in-out infinite alternate;
}
.diggit{
    background: url(https://images.cnblogs.com/cnblogs_com/kalginamiemeng/1480817/o_AC.PNG) no-repeat;
    width: 150px;
    height:40px;
    background-position:center;
    font-size: 78px;
    border: 2px solid #8AE234;
    margin-left: -40px;
    margin-top:10px; 
    border-radius: 15px;
}
.diggword{
    display: none;
}
.diggnum{
    color: forestgreen;
}
.catListTitle{
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
}
.dayTitle{
    border-radius: 5px;
}
#green_channel{
    display:none;
}
#author_profile{
    border-top-right-radius:5px;
    border-bottom-right-radius: 5px;
    margin-top: 45px;
    margin-bottom: 25px;
    border: 2px solid #169fe6;
    width:280px;
    height: 70px;
    border-left: 7px solid #169fe6 ;
}
.author_profile_info{
    float: unset;
    margin-left: 30px;
    margin-top: 5px;
}
#author_profile_detail a{
    font-size: 14px;
    font-family: 黑体;
}
#ad_t2{
    font-size: 30px;
}
#author_profile_follow{
    margin-top: 10px;
    margin-left: -7px;
    border: 2px solid #169fe6 ;
    border-left: 7px solid #169fe6 ;
    border-top-right-radius:15px;
    border-bottom-right-radius: 15px;
    width: 115px;
    transition:  all 1s ease-out;
}
#author_profile_follow:hover{
   width: 200px;
   transition:  all 1s ease-out;
   background:#169fe6;
}
#author_profile_follow a:hover{
    color: white;
}
#author_profile_follow a{
    color: gray;
}
.author_avatar{
    margin-left: -25px;
}
#ad_t2 a{
    color:#169fe6 !important;
    font-family: 黑体;
}
#ad_t2 a:hover{
    color: orange !important;
    text-decoration: none;
    transition:all 0.5s ease-out !important;
}
/* score color */
.score_0 {
    color: red;
}

.score_1 {
    color: #ff4b00;
}

.score_2 {
    color: #ff6200;
}

.score_3 {
    color: #ffa900;
}

.score_4 {
    color: #ffd800;
}

.score_5 {
    color: #c8ff00;
}

.score_6 {
    color: #a5ff00;
}

.score_7 {
    color: #52ff00;
}

.score_8 {
    color: #41f741;
}

.score_9 {
    color: #34d034;
}

.score_10 {
    color: forestgreen;
}

.score {
    text-shadow: 0 0 0.1px;
}

:not(.status_detail).status.success,
.title:hover .status_detail.status.success,
.title.active .status_detail.status.success,
:not(.status_detail).status.submitted,
.title:hover .status_detail.status.submitted,
.title.active .status_detail.status.submitted,
:not(.status_detail).status.accepted,
.title:hover .status_detail.status.accepted,
.title.active .status_detail.status.accepted {
    color: forestgreen;
}

:not(.status_detail).status.wrong_answer,
.title:hover .status_detail.status.wrong_answer,
.title.active .status_detail.status.wrong_answer {
    color: red;
}

:not(.status_detail).status.invalid_interaction,
.title:hover .status_detail.status.invalid_interaction,
.title.active .status_detail.status.invalid_interaction,
:not(.status_detail).status.runtime_error,
.title:hover .status_detail.status.runtime_error,
.title.active .status_detail.status.runtime_error,
:not(.status_detail).status.file_error,
.title:hover .status_detail.status.file_error,
.title.active .status_detail.status.file_error {
    color: darkorchid;
}

:not(.status_detail).status.memory_limit_exceeded,
.title:hover .status_detail.status.memory_limit_exceeded,
.title.active .status_detail.status.memory_limit_exceeded,
:not(.status_detail).status.time_limit_exceeded,
.title:hover .status_detail.status.time_limit_exceeded,
.title.active .status_detail.status.time_limit_exceeded,
:not(.status_detail).status.output_limit_exceeded,
.title:hover .status_detail.status.output_limit_exceeded,
.title.active .status_detail.status.output_limit_exceeded {
    color: sandybrown;
}

:not(.status_detail).status.waiting,
.title:hover .status_detail.status.waiting,
.title.active .status_detail.status.waiting,
:not(.status_detail).status.system_error {
    color: grey;
}

:not(.status_detail).status.running,
.title:hover .status_detail.status.running,
.title.active .status_detail.status.running {
    color: #6cf;
}

:not(.status_detail).status.partially_correct,
.title:hover .status_detail.status.partially_correct,
.title.active .status_detail.status.partially_correct {
  color: #01bab2;
}

:not(.status_detail).status.judgement_failed,
.title:hover .status_detail.status.judgement_failed,
.title.active .status_detail.status.judgement_failed {
  color: #FF5722;
}

:not(.status_detail).status.skipped,
.title:hover .status_detail.status.skipped,
.title.active .status_detail.status.skipped {
  color: #78909C;
}

:not(.status_detail).status.compiling {
    color: #00b5ad;
}

:not(.status_detail).status.no_testdata {
    color: brown;
}

:not(.status_detail).status.compile_error {
    color: rgb(0, 68, 136);
}
/*****博客内标题*****/
.postBody h1:before{
    font-family: Monospace,黑体;
    content: "> ";
    color: #169fe6;
}
.postBody h2:before{
    font-family: Monospace,黑体;
    content: "≫ ";
    color: #169fe6;
}
.postBody h3:before{
    font-family: Monospace,黑体;
    content: "⋙ ";
    color: #169fe6;
}
.postBody h4:before{
    font-family: Monospace,黑体;
    content: "≥";
    color: #169fe6;
}
.postBody h5:before{
    font-family: Monospace,黑体;
    content: "⊳";
    color: #169fe6;
}
.postBody h6:before{
    font-family: Monospace,黑体;
    content: "-";
    color: #169fe6;
}
/***感受框****/
.feeling p{
    font-family: 楷体;
    color: black!important;
}
.feeling{
    margin-top:25px!important;
    border-left: 0px!important;
    background: white;
    border-top-right-radius:10px;
    border-bottom-right-radius:10px;
    border: 2px solid wheat !important;
    border-left:12px solid #169fe6 !important;
}
.feeling:before{
    content: "?";
    float: top;
    position: absolute;
    margin: 0px 0px 0px -25px!important;
    color: white;
    padding: 0px 5px 5px 5px;
    height: 20px;
}
/***博客摘要***/
.c_b_p_desc:after{
    content: "• • •";
}
.c_b_p_desc_readmore{
    display: none;
}
/**一些类**/
.cover:before{
    position: absolute;
    content: "……";
    color: white;
    background: grey;
    height: 20px;
    width: 800px!important;
    padding: 4px;
}
.cover{
    display: inline;
    content: "";
    color: transparent;
    width: 800px;
}
.cover:hover{
    color: black;
}
.cover:hover:before{
    transition: all 0.1s ease-in-out;
    background: transparent;
    color: transparent;
    margin-top:20px;
}
/*浮动注释*/
.InlineCMT{
    position: fixed;
    right:2px;
    bottom:2px;
    margin: auto;
    z-index:100;
    border: 2px solid #169fe6 !important;
    border-radius: 10%;
}
@keyframes left_right{
    from{
        padding-left: 10px;
        color: transparent;
    }
    to{
        padding-left: 30px;
    }
}
#sidebar_我们都需要的做题oj a:hover:after,
#sidebar_我们更需要的大佬 a:hover:after,
#sidebar_links1568192 a:hover:after,
#sidebar_links1520887 a:hover:after{
    position: absolute;
    content: "前往膜拜>";
    color: #169fe6;
    animation:left_right .5s ease-in-out infinite alternate;
}
hr {
 margin:1.5rem 0;
 border:none;
 height:1px;
 background-color:#ddd
 padding:0;
 border:none;
 border-top:1px solid #888;
 text-align:center;
 height:0;
 background:transparent;
 margin:2em auto;
 line-height:0
}
hr:after {
 color:#333;
 content:"\274A   \274A   \274A";
 display:inline-block;
 position:relative;
 top:-0.5em;
 font-size:1.0em;
 padding:0 0.5em;
 background:#fff;
 line-height:1.0em
}